lumiere = Image.load("images/lumiere.png")
bleuciel = Image.load("couleurs/Bleu ciel.png")
violet = Image.load("couleurs/Violet.png")
bleu = Image.load("couleurs/Bleu.png")
jaune = Image.load("couleurs/Jaune.png")
orange = Image.load("couleurs/Orange.png")
vert = Image.load("couleurs/Vert.png")
rose = Image.load("couleurs/Rose.png")
rouge = Image.load("couleurs/Rouge.png")

statut = 0

oldpad = Controls.read()

while true do
  screen:clear()
  pad = Controls.read()

  screen:blit(0,0,lumiere)
  if pad:right() then
    statut = 1
    if pad:up() then
      statut = 4
    elseif pad:down() then
      statut = 5
    end
  elseif pad:left() then
    statut = 2
    if pad:up() then
      statut = 6
    elseif pad:down() then
      statut = 9
    end
  elseif pad:up() then
    statut = 7
  elseif pad:down() then
    statut = 8
  elseif not(pad:right()) and not(pad:left())and not(pad:up())and not(pad:down())and not(pad:cross()) then
    statut = 0
  elseif pad:cross() and oldpad:cross() ~= pad:cross() and statut == 0 then
    statut = 3
  end
  
  if statut == 1 then
    screen:blit(0,0,bleu)
    if pad:select() then
      dofile("couleurs/bleu.lua")
    end
  elseif statut == 2 then
    screen:blit(0,0,orange)
    if pad:select() then
      dofile("couleurs/orange.lua")
    end
  elseif statut == 3 then
    dofile("psplight.lua")
  elseif statut == 4 then
    screen:blit(0,0,violet)
    if pad:select() then
      dofile("couleurs/violet.lua")
    end
  elseif statut == 5 then
    screen:blit(0,0,bleuciel)
    if pad:select() then
      dofile("couleurs/bleuciel.lua")
    end
  elseif statut == 6 then
    screen:blit(0,0,rouge)
    if pad:select() then
      dofile("couleurs/rouge.lua")
    end
  elseif statut == 7 then
    screen:blit(0,0,rose)
    if pad:select() then
      dofile("couleurs/rose.lua")
    end
  elseif statut == 8 then
    screen:blit(0,0,vert)
    if pad:select() then
      dofile("couleurs/vert.lua")
    end
  elseif statut == 9 then
    screen:blit(0,0,jaune)
    if pad:select() then
      dofile("couleurs/jaune.lua")
    end
  end
  
  if pad:triangle() then
    System.Quit()
  end


  screen.waitVblankStart()
  screen:flip()
  oldpad = pad
end
